Syncware
  1. Orders
  • Introduction
    • API
    • Authentication
    • Date Format
    • API Status Codes
  • User
    • Login
      POST
    • Get User
      GET
    • Update Profile
      PUT
  • Orders
    • Query All Orders
      GET
    • Query Single Order
      GET
    • Query Single Order By Id
      GET
    • Create New Order
      POST
    • Get Order Shipments By Order
      GET
    • Post Order Shipments By Order
      POST
    • Query Order Shipments By Order Id
      GET
    • Create Order Shipments By Order Id
      POST
  • Products
    • Query All Products
      GET
    • Create Multiple Products
      POST
    • Update Single Product
      PUT
    • Create New Product
      POST
    • Query Single Product
      GET
    • Update Inventory For Single Product
      POST
    • Update Inventory For Multiple Products
      POST
    • Set Upload for Endpoint
      POST
    • Set Upload for Chain
      POST
  • Customers
    • Query All Customers
      GET
    • Query Single Customer
      GET
    • Create New Customer
      POST
  • Invoices
    • Query All Invoices
  • Packing Slip
    • Generate Packing Slip
  • Retailer
    • Query Retailer Profile
    • Update Retailer Profile
  • Rep
    • Query Rep Connected Vendors
  • Leads
    • Query All Leads
    • Create Lead
    • Update Lead
    • Delete Lead
  • Lead Notes
    • Query All Lead Notes
    • Create Lead Note
    • Update Lead Note
    • Delete Lead Note
    • Delete All Notes By Lead Id
  • Common
    • Get All Sources
    • Get All Status
    • Get All Categories
    • Get All Brands
    • Get All Chains
    • Get All Endpoints
  1. Orders

Query Single Order

GET
/orders
Orders
Last modified:2026-10-22 03:12:11

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Path Params

Query Params

Header Params

Responses

🟢200
application/json
OK
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --globoff 'https://api.syncware.com/api/v1/orders?orderIdStr={orderIdStr}' \
--header 'X-Vendor: synqware' \
--header 'Authorization: Bearer <token>'
Response Response Example
{
    "Id": 12345,
    "OrderID": "2205968",
    "Source": "RepZio",
    "OrderNumber": "synqware_1234",
    "Customer": "coast to coast nautical home decor",
    "AcctgId": "",
    "IsNewCustomer": false,
    "PO": "PO12345",
    "TxnId": "123456",
    "OrderDate": "2021-06-12T15:23:03.000Z",
    "ShipDate": "2021-06-12T15:23:03.000Z",
    "CancelDate": "1901-01-01T00:00:00.000Z",
    "ReceiptDate": "1901-01-01T00:00:00.000Z",
    "ServerID": "100000215",
    "BizOrderType": "SO",
    "BillingAddress": {
        "Company": "coast to coast nautical home decor",
        "Name": "Jane Doe",
        "Address1": "111 Main St",
        "Address2": "",
        "City": "Boston",
        "State": "MA",
        "Zip": "B0W2A0",
        "Country": "CA",
        "Email": "jane@someemail.net"
    },
    "ShippingAddress": {
        "Company": "coast to coast nautical home decor",
        "Name": "Jane Doe",
        "Address1": "111 Main St",
        "Address2": "",
        "City": "Boston",
        "State": "MA",
        "Zip": "B0W2A0",
        "Country": "CA",
        "Email": "jane@someemail.net"
    },
    "ShipMethod": "FedEx",
    "ShipService": "Ground",
    "PaymentMethod": "VISA",
    "Agency": "Super Agency",
    "RepName": "Joe Mark",
    "RepEmail": "joe@superagency.com",
    "RepPhone": "123.123.2356",
    "Terms": "N30",
    "Notes": "",
    "Status": "",
    "Brand": "Puma",
    "OrderClass": "MUAD",
    "Total": "240.0",
    "Commission": "25.2",
    "SubTotal": "265.2",
    "Tax": "0.0",
    "Discount": "0.0",
    "DiscountCode": "",
    "Freight": "0.0",
    "AltPO": "",
    "CCType": "",
    "CCNumber": "",
    "CCToken": "Cx9#0987nV098",
    "CCExp": "12/2020",
    "CCCvv": "",
    "CCName": "",
    "ccAuthId": "",
    "San": "",
    "BranchName": "",
    "Department": "",
    "Location": "Road",
    "DistributionCenter": "",
    "LineItems": [
        {
            "LineNumber": 1,
            "LineKey": "1001",
            "SKU": "ITEM-001",
            "Description": "Some long description",
            "Price": "3.50",
            "RetailPrice": "",
            "Quantity": "5",
            "QuantityOrdered": "",
            "QuantityInvoiced": "",
            "QuantitySent": "",
            "Discount": "2.0",
            "UPC": "1112223331110",
            "TxnLineId": "",
            "Notes": "",
            "Custom1": "",
            "Custom2": "",
            "Custom3": ""
        }
    ],
    "CustomFields": [
        {
            "Name": "OrderSource",
            "Value": "Road"
        }
    ]
}
Previous
Query All Orders
Next
Query Single Order By Id
Built with